Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81406 - up2date doesn't like # in proxy password
Summary: up2date doesn't like # in proxy password
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Clifford Perry
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-09 03:17 UTC by Dan Mellem
Modified: 2012-06-20 15:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:56:53 UTC


Attachments (Terms of Use)

Description Dan Mellem 2003-01-09 03:17:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When initially configuring up2date, the program supports a proxy with
authentication. If the password contains a pound symbol the password is truncated.


Also, PAC support would be nice....

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Connect through proxy server (such as Squid) that requires authentication.
2.Use an account that has a # in the password (or username??)

Actual Results:  Should log in to proxy server with typed password.

Expected Results:  Attempts to log in with truncated password which then fails,
ultimately locking the account.

Additional info:

Comment 1 Adrian Likins 2003-01-14 02:13:02 UTC
ugh, yeah. I can see that would break it. Bug in the config file parsing.

I'll take a look and see if I can fix it.

Comment 2 Marcelo Giles 2006-09-26 19:05:22 UTC
Are there any news regarding this?

Comment 6 Jiri Pallich 2012-06-20 15:56:53 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.